aboutsummaryrefslogtreecommitdiff
path: root/cmake/install.sh
diff options
context:
space:
mode:
authordec05eba <dec05eba@protonmail.com>2021-05-24 09:51:52 +0200
committerdec05eba <dec05eba@protonmail.com>2021-05-24 09:51:52 +0200
commit3a150e29cd1fa63614f45dff01240b01f9c4a025 (patch)
tree4e68947e478d32c43628a000ce70fb10c3597081 /cmake/install.sh
parenta2ae77a4549e944d4aadac425da2bf2cc0b0cf1c (diff)
force c locale, remove need for sudo in install script
Diffstat (limited to 'cmake/install.sh')
-rwxr-xr-xcmake/install.sh4
1 files changed, 3 insertions, 1 deletions
diff --git a/cmake/install.sh b/cmake/install.sh
index 03eae77..7786adb 100755
--- a/cmake/install.sh
+++ b/cmake/install.sh
@@ -2,6 +2,8 @@
set -e
+[ $(id -u) -ne 0 ] && echo "You need root privileges to run the install script" && exit 1
+
case "$(uname -s)" in
Linux*) machine="Linux" ;;
Darwin*) machine="Mac" ;;
@@ -21,6 +23,6 @@ case $machine in
OpenBSD) bin_dir="/usr/local/bin" ;;
esac
-sudo cp sibs "$bin_dir"
+install -Dm755 sibs "$bin_dir/sibs"
echo "Copied $scriptpath/build/release/sibs to $bin_dir/sibs"
echo "Installation successful!"